Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.coordination
Class AliasBindingManagerBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.coordination.AliasBindingManagerBean

    public class AliasBindingManagerBean

extends java.lang.Object

Version:
  $Revision$
Author:
  Chris Laprun

Nested Class Summary
`static class` | `AliasBindingManagerBean.DisplayAliasBinding`

Field Summary
`protected CoordinationManagerBean` | `managerBean`

Constructor Summary
`AliasBindingManagerBean()`
`AliasBindingManagerBean(CoordinationManagerBean managerBean)`

Method Summary
`java.lang.String` | `cancel()`
`java.lang.String` | `create()`
`java.lang.String` | `delete(java.lang.String name)`
`void` | `extractInfoFrom(Window window, org.jboss.portal.portlet.info.PortletInfo info)`
`java.lang.String` | `getAliasName()`
`java.util.List<QNameSelectItem>` | `getAvailableRenderParameters()`
`java.util.List<AliasBindingManagerBean.DisplayAliasBinding>` | `getDisplayAliasBindings()`
`CoordinationManagerBean` | `getManagerBean()`
`java.util.List<java.lang.String>` | `getOriginalQNames()`
`void` | `initKnowing(java.util.Collection<PortalObject> children)`
`void` | `loadInfoFrom(Page page)`
`java.lang.String` | `rename(java.lang.String oldName, java.lang.String newName)`
`java.lang.String` | `resetSelection()`
`void` | `setAliasName(java.lang.String aliasName)`
`void` | `setManagerBean(CoordinationManagerBean managerBean)`
`void` | `setOriginalQNames(java.util.List<java.lang.String> originalQNames)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### managerBean

    protected CoordinationManagerBean managerBean

Constructor Detail

### AliasBindingManagerBean

    public AliasBindingManagerBean()

### AliasBindingManagerBean

    public AliasBindingManagerBean(CoordinationManagerBean managerBean)

Method Detail

### getAliasName

    public java.lang.String getAliasName()

### setAliasName

    public void setAliasName(java.lang.String aliasName)

### getOriginalQNames

    public java.util.List<java.lang.String> getOriginalQNames()

### setOriginalQNames

    public void setOriginalQNames(java.util.List<java.lang.String> originalQNames)

### loadInfoFrom

    public void loadInfoFrom(Page page)

### getDisplayAliasBindings

    public java.util.List<AliasBindingManagerBean.DisplayAliasBinding> getDisplayAliasBindings()

### getAvailableRenderParameters

    public java.util.List<QNameSelectItem> getAvailableRenderParameters()

### create

    public java.lang.String create()

### resetSelection

    public java.lang.String resetSelection()

### delete

    public java.lang.String delete(java.lang.String name)
                            throws IllegalCoordinationException

  Throws:
    `IllegalCoordinationException`

### rename

    public java.lang.String rename(java.lang.String oldName,
                                   java.lang.String newName)
                            throws IllegalCoordinationException

  Throws:
    `IllegalCoordinationException`

### extractInfoFrom

    public void extractInfoFrom(Window window,
                                org.jboss.portal.portlet.info.PortletInfo info)

### initKnowing

    public void initKnowing(java.util.Collection<PortalObject> children)

### getManagerBean

    public CoordinationManagerBean getManagerBean()

### setManagerBean

    public void setManagerBean(CoordinationManagerBean managerBean)

### cancel

    public java.lang.String cancel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD